Bug 9147 - wget does not set ftp path correctly
Summary: wget does not set ftp path correctly
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: wget (Show other bugs)
(Show other bugs)
Version: 6.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-02-05 18:15 UTC by mal
Modified: 2014-03-17 02:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-07 15:43:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description mal 2000-02-05 18:15:59 UTC
There is a bug with wget-1.5.3-4
If ftp server sets initial direcory to anything else than /
Example:

$ wget --passive-ftp
ftp://rawhide.redhat.com/pub/rawhide/SRPMS/SRPMS/samba-2.0.6-6.src.rpm
--13:08:41--
ftp://rawhide.redhat.com:21/pub/rawhide/SRPMS/SRPMS/samba-2.0.6-6.src.rpm
           => `samba-2.0.6-6.src.rpm'
Connecting to rawhide.redhat.com:21... connected!
Logging in as anonymous ... Logged in!
==> TYPE I ... done.  ==> CWD pub/rawhide/SRPMS/SRPMS ...
No such directory `pub/rawhide/SRPMS/SRPMS'.
$

The directory exists, but wget misses starting / in pub/rawhide/SRPMS/SRPMS

Vladislav

Comment 1 Nalin Dahyabhai 2000-02-07 11:46:59 UTC
Try specifying the URL as:
ftp://rawhide.redhat.com:21//pub/rawhide/SRPMS/SRPMS/samba-2.0.6-6.src.rpm

Wget's behavior in this case is consistent with my reading of section 3.2.2
of RFC 1738, which states that the '/' separating the hostname from the
directory is not to be taken as part of the path, and that each part of the
path needs to be supplied as the argument of a "cwd" command given to the server
after the client is connected.  I'd agree it's somewhat annoying, though.


Note You need to log in before you can comment on or make changes to this bug.